package CRSDK;

@SuppressWarnings("unused")
public enum CrLockIndicator {
    CrLockIndicator_Unknown (0x0000),
    CrLockIndicator_Unlocked (CrLockIndicator_Unknown.getValue()+1),
    CrLockIndicator_Locked (CrLockIndicator_Unknown.getValue()+2);

    private final CrInt16u value;
    CrLockIndicator(int value) {
        this.value = new CrInt16u(value);
    }
    public int getValue() {
        return value.intValue();
    }
}
